SK_RUN_FILTER(9)

NAME
sk_run_filter - run a filter on a socket

SYNOPSIS

unsigned int sk_run_filter (struct sk_buff * skb, struct sock_filter * filter, int flen);

ARGUMENTS

skb buffer to run the filter on

filter
    filter to apply

flen
    length of filter

DESCRIPTION

Decode and apply filter instructions to the skb->data. Return length to keep, 0 for none. skb is the data we are filtering, filter is the array of filter instructions, and len is the number of filter blocks in the array.